Subject: bug#28946: closed (Re: bug#28946: licence problem with cufflinks)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 31 Oct 2017 09:07:02 +0000

Your bug report

#28946: licence problem with cufflinks

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
28946: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=28946
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#28946: licence problem with cufflinks
From: Ricardo Wurmus <[email-masked]>
To: Dave Love <[email-masked]>
Cc: [email-masked]
Date: Tue, 31 Oct 2017 08:19:10 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Dave Love <[email-masked]> writes:

> Ricardo Wurmus <[email-masked]> writes:
>
>> Ricardo Wurmus <[email-masked]> writes:
>>
>>> Hi Dave,
>>>
>>>> I noticed that there's a package for cufflinks, but it has a non-free
>>>> component.  It isn't packaged for Debian or Fedora because of that.  See
>>>> <https://github.com/cole-trapnell-lab/cufflinks/issues/16>.
>>>
>>> Thank you for the information! I’m going to investigate this.
>> […]
>>
>> I have written email to [email-masked] to report my findings and ask
>> about details.
>
> Sorry, I could probably have saved you effort.  I think I already mailed
> before cufflinks moved to github, and I also tried to track down the
> author of the problematic component, though they probably wouldn't hold
> the copyright as far as I remember..

I have not received any response; neither to the bug report, nor to the
email I sent.  I have removed cufflinks from Guix with commit 7bf59f702.

Thanks again for the report!

So… I’ll try to see if I can adapt the GPL code from r-locfit in a fork
of Cufflinks at some point.

--
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net

Subject: licence problem with cufflinks
From: Dave Love <[email-masked]>
To: [email-masked]
Date: Sun, 22 Oct 2017 17:52:42 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I noticed that there's a package for cufflinks, but it has a non-free
component.  It isn't packaged for Debian or Fedora because of that.  See
<https://github.com/cole-trapnell-lab/cufflinks/issues/16>.